function newExcl02040Control(pageName, doctx="[data-doctx='excl02040']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "opnnDlbrMbr"
        , prefixName: "의견제출 심의위원"
        , dataGetter: obj => obj["Info"]
        , keys: ["MNG_ID"]
        , urls: {
              create: "/create.do"
            , update: "/update.do"
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrl.selector("[name='frmEdit']"));
        formFields.set(ctrl, item);

        // 업무구분에 따른 URL 변경
        ctrl.urls.create = wctx.url(pageObject[pageName].prefixUrl + "/040/create.do");    // 등록
        ctrl.urls.update = wctx.url(pageObject[pageName].prefixUrl + "/040/update.do");    // 수정
    };

    // 저장 callback
    ctrl.onSave = (params, resp) => {
        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { dialog.close(modalId); }
            }
        });
    }

    // 저장
    ctrl.save = (params) => {
        if (!params) return;

        let create = (params.mngId == "");

        ajax.post({
              url: !create ? ctrl.urls.update : ctrl.urls.create
            , data: params || {}
            , success: (resp) => { ctrl.onSave(params, resp); }
        });
    }

    return ctrl;
}
